#ifndef _MSGLEXER_H
#define _MSGLEXER_H

#include "hatpLexer.hh"

using namespace std;

// ---------- Message Parsing ----------
static const string M_COMMAND	= QUOTE + "COMMAND" + QUOTE;
static const string M_INIT		= QUOTE + "CONNECT" + QUOTE;
static const string M_EXIT		= QUOTE + "EXIT" + QUOTE;
static const string M_HATPREQ	= QUOTE + "HATP-REQ" + QUOTE;

static const string M_REQTYPE	= QUOTE + "REQ-TYPE" + QUOTE;
static const string M_TASKNAME	= QUOTE + "TASK-NAME" + QUOTE;
static const string M_REQID		= QUOTE + "REQ-ID" + QUOTE;
static const string M_PARAMS	= QUOTE + "PARAMETERS" + QUOTE;

static const string M_ONTOREQ	= QUOTE + "ONTO-REQ" + QUOTE;
static const string M_AGENT		= QUOTE + "AGENT" + QUOTE;
static const string M_OBJECT	= QUOTE + "OBJECT" + QUOTE;
static const string M_PROPERTY	= QUOTE + "PROPERTY" + QUOTE;
static const string M_VALUE		= QUOTE + "VALUE" + QUOTE;
static const string M_NULL		= "null";

static const string MREQID		= M_REQID + JSEP + NUMBER;
static const string MREQTYPE 	= M_REQTYPE + JSEP + STRING;
static const string MTASKNAME	= M_TASKNAME + JSEP + STRING;
static const string MPARAMS		= M_PARAMS + JSEP + SLIST;

static const string AGENT		= M_AGENT + JSEP + STRING;
static const string AGNULL		= M_AGENT + JSEP + M_NULL;
static const string OBJECT		= M_OBJECT + JSEP + STRING;
static const string PROPERTY	= M_PROPERTY + JSEP + STRING;
static const string VALUES		= M_VALUE + JSEP + SLIST;


static const string CMDINIT		= LSCOPE + M_COMMAND + JSEP + M_INIT + RSCOPE;
static const string CMDEXIT		= LSCOPE + M_COMMAND + JSEP + M_EXIT + RSCOPE;

static const string HATPREQ 	= LSCOPE + M_HATPREQ + JSEP + LSCOPE + MREQTYPE + COMMA + MREQID + COMMA + MTASKNAME + COMMA + MPARAMS + RSCOPE + RSCOPE;

static const string ONTOFIND	= LSCOPE + M_ONTOREQ + JSEP + LSCOPE + AGNULL + COMMA + OBJECT + COMMA + PROPERTY + COMMA + VALUES + RSCOPE + RSCOPE;
static const string ONTOFFA		= LSCOPE + M_ONTOREQ + JSEP + LSCOPE + AGENT + COMMA + OBJECT + COMMA + PROPERTY + COMMA + VALUES + RSCOPE + RSCOPE;

#endif
